cdac.medinfo.sdk.hl7282.exceptions

## Class InvalidDictionaryException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - cdac.medinfo.sdk.hl7282.utils.HL7Exception
        - - cdac.medinfo.sdk.hl7282.exceptions.InvalidDictionaryException

- All Implemented Interfaces:
    java.io.Serializable

      public class InvalidDictionaryException
      extends HL7Exception

  Invalid Dictionary Exception raised when XML parsing fails.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `InvalidDictionaryException()` Initializes a new object of InvalidDictionaryException .
    `InvalidDictionaryException(java.lang.String strMessage)` Initializes a new object of InvalidDictionaryException with the specified detail message.
    `InvalidDictionaryException(java.lang.String strMessage, java.lang.Throwable cause)` Initializes a new object of InvalidDictionaryException with the specified detail message and cause.
    `InvalidDictionaryException(java.lang.Throwable cause)` This constructor is useful for exceptions that are little more than wrappers for other throwables

  - ### Method Summary

    - ### Methods inherited from class cdac.medinfo.sdk.hl7282.utils.HL7Exception

      `getErrorCode, getMessage, setErrorCode`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### InvalidDictionaryException

          public InvalidDictionaryException()

      Initializes a new object of InvalidDictionaryException .

    - #### InvalidDictionaryException

          public InvalidDictionaryException(java.lang.String strMessage)

      Initializes a new object of InvalidDictionaryException with the specified detail message.
      Parameters:
        `strMessage` - the detail message

    - #### InvalidDictionaryException

          public InvalidDictionaryException(java.lang.String strMessage,
                                    java.lang.Throwable cause)

      Initializes a new object of InvalidDictionaryException with the specified detail message and cause.
      Parameters:
        `strMessage` - the detail message
        `cause` - the cause (which is saved for later retrieval by the Throwable.getCause() method) (A null value is permitted, and indicates that the cause is nonexistent or unknown.)

    - #### InvalidDictionaryException

          public InvalidDictionaryException(java.lang.Throwable cause)

      This constructor is useful for exceptions that are little more than wrappers for other throwables
      Parameters:
        `cause` - the cause (which is saved for later retrieval by the Throwable.getCause() method) (A null value is permitted, and indicates that the cause is nonexistent or unknown.)